CREATE TABLE ask_logical_domains (
    LOGICAL_DOMAIN_ID        NUMBER(18, 0) ,
    LOGICAL_DOMAIN_NAME      VARCHAR2(2000),
    LOGICAL_DOMAIN_DESC      VARCHAR2(4000),
    INITIAL_VERSION_ID       NUMBER(18, 0) ,
    OBSOLETE_VERSION_ID      NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    ENTERPRISE_ID            NUMBER(18, 0) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    LOGICAL_DOMAIN_ID        NUMBER(18, 0) ,
    LOGICAL_DOMAIN_NAME      VARCHAR2(2000),
    LOGICAL_DOMAIN_DESC      VARCHAR2(4000),
    INITIAL_VERSION_ID       NUMBER(18, 0) ,
    OBSOLETE_VERSION_ID      NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    ENTERPRISE_ID            NUMBER(18, 0) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL
);
